Skip to content

Actions

All operations require authentication.

5 operationsv1/dedicated/ceph
Agent setup

List running tasksProduction

GET
/1.0/dedicated/ceph/{serviceName}/task

Returns the tasks running on the cluster.

Path parameters

serviceName
required
string

Service name

Response

200response[]successful operation
id
read-only
string

ID of task

name
read-only
string

Name of task

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": "string", "name": "string" }]

List the subtasks of a taskProduction

GET
/1.0/dedicated/ceph/{serviceName}/task/{taskId}

Returns the subtasks of the task, to follow its progress.

Path parameters

serviceName
required
string

Service name

taskId
required
string

Task ID

Response

200response[]successful operation
createDate
read-only
string

Creation date of the task

finishDate
read-only
string

Finish date of the task

name
read-only
string

Name of the task

state
read-only
stateEnum

State of the task

ValuesDONEFAILEDIN PROGRESS
type
read-only
string

Type of the task

Example uses serviceName = string, taskId = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createDate": "string", "finishDate": "string", "name": "string", "state": "DONE", "type": "string" }]

Change contactsProduction

POST
/1.0/dedicated/ceph/{serviceName}/changeContact

Starts the change of the admin, tech or billing contact and returns the request IDs.

Path parameters

serviceName
required
string

Service name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Request terminationProduction

POST
/1.0/dedicated/ceph/{serviceName}/terminate

Emails a termination token to the admin contact, to use with Confirm termination.

Path parameters

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Confirm terminationProduction

POST
/1.0/dedicated/ceph/{serviceName}/confirmTermination

Confirms the termination with the token sent by email. The reason and comments are optional.

Path parameters

serviceName
required
string

Service name

Request body (required)

commentary
string

Commentary about your termination request

commentaryFutureUse
string

Commentary about your future use

commentaryReason
string

Commentary about your reason for termination request

futureUse
TerminationFutureUseEnum

All future uses you can provide for a service termination

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

All reasons you can provide for a service termination

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"